#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './scubaconfig.ui'
**
** Created: Wed Jul 9 02:09:09 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "scubaconfig.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ScubaConfig as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ScubaConfig::ScubaConfig( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ScubaConfig" );
    ScubaConfigLayout = new QGridLayout( this, 1, 1, 11, 6, "ScubaConfigLayout"); 

    _readMatrices = new QCheckBox( this, "_readMatrices" );

    ScubaConfigLayout->addWidget( _readMatrices, 0, 0 );
    spacer4_2 = new QSpacerItem( 270, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ScubaConfigLayout->addItem( spacer4_2, 0, 1 );
    spacer1 = new QSpacerItem( 320, 190, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ScubaConfigLayout->addMultiCell( spacer1, 3, 3, 0, 1 );

    _validateChecksum = new QCheckBox( this, "_validateChecksum" );

    ScubaConfigLayout->addWidget( _validateChecksum, 1, 0 );
    spacer4_2_2 = new QSpacerItem( 270, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ScubaConfigLayout->addItem( spacer4_2_2, 1, 1 );

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    textLabel1 = new QLabel( buttonGroup1, "textLabel1" );

    buttonGroup1Layout->addWidget( textLabel1, 0, 0 );

    _rawDataBufferSize = new QLineEdit( buttonGroup1, "_rawDataBufferSize" );

    buttonGroup1Layout->addMultiCellWidget( _rawDataBufferSize, 0, 0, 1, 2 );
    spacer4_2_2_2 = new QSpacerItem( 190, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    buttonGroup1Layout->addItem( spacer4_2_2_2, 1, 2 );

    _curtailRawData = new QCheckBox( buttonGroup1, "_curtailRawData" );

    buttonGroup1Layout->addMultiCellWidget( _curtailRawData, 1, 1, 0, 1 );

    ScubaConfigLayout->addMultiCellWidget( buttonGroup1, 2, 2, 0, 1 );
    languageChange();
    resize( QSize(497, 397).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ScubaConfig::~ScubaConfig()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ScubaConfig::languageChange()
{
    setCaption( tr2i18n( "ScubaConfig" ) );
    _readMatrices->setText( tr2i18n( "Generate &matrices from data" ) );
    _readMatrices->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    _validateChecksum->setText( tr2i18n( "&Validate checksum" ) );
    _validateChecksum->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    buttonGroup1->setTitle( tr2i18n( "Raw data mode:" ) );
    textLabel1->setText( tr2i18n( "Buffer size (values):" ) );
    _curtailRawData->setText( tr2i18n( "&Curtail raw data at buffer size" ) );
    _curtailRawData->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
}

#include "scubaconfig.moc"
